Skip to main content
GET
Get customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer
integer<int64>
required
Required range: x >= 1

Response

The requested customer.

type
enum<string>
required
Available options:
customer,
contact
Example:

"customer"

id
integer
required
Example:

101

name
string | null
required

Null unless the token also has partner.customers.pii.

Example:

null

first_name
string | null
required

Null unless the token also has partner.customers.pii.

Example:

null

last_name
string | null
required

Null unless the token also has partner.customers.pii.

Example:

null

company_name
string | null
required

Null unless the token also has partner.customers.pii.

Example:

null

email
string | null
required

One or more email addresses, semicolon-separated when multiple. Null unless the token also has partner.customers.pii.

Example:

null

phone
string | null
required

Null unless the token also has partner.customers.pii.

Example:

null

address
object | null
required

Null unless the token also has partner.customers.pii.

created_at
string<date-time> | null
required
Example:

"2026-06-27T10:15:00+01:00"

updated_at
string<date-time> | null
required
Example:

"2026-06-27T10:20:00+01:00"

Last modified on July 2, 2026